# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TCacheLookupResult

Packages that use TCacheLookupResult
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCacheLookupResult in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TCacheLookupResult in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TCacheLookupResult`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCacheLookupResult
Modifier and Type
Field
Description
`TCacheLookupResult`
TGetResultSetMetadataResp.`cacheLookupResult`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCacheLookupResult
Modifier and Type
Method
Description
`static TCacheLookupResult`
TCacheLookupResult.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TCacheLookupResult`
TGetResultSetMetadataResp.`getCacheLookupResult()`
`static TCacheLookupResult`
TCacheLookupResult.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TCacheLookupResult[]`
TCacheLookupResult.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCacheLookupResult
Modifier and Type
Method
Description
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setCacheLookupResult(TCacheLookupResult cacheLookupResult)`